This page is a translated version of the page Draft Dimension and the translation is 92% complete.

Draft Dimension.png Cotation

Emplacement du menu
Draft → Dimension
Ateliers
Draft, Arch
Raccourci par défaut
D I
Voir aussi
FlipDimension


Description

L'outil Cotation demande à l'utilisateur deux points définissants le segment qui doit être côté puis, un troisième point afin de localiser la ligne de dimension.

Screenshot Draft Dimension.jpg

Utilisation

  • Cliquez sur l'outil Draft Dimension.png cotation ou pressez les touches D et I
  • Cliquez un premier point sur une zone vide de la vue 3D, ou tapez une coordonnée
  • Cliquez un point sur une zone vide de la vue 3D, ou tapez une coordonnée
  • Cliquez un troisième point sur une zone vide de la vue 3D, ou tapez une coordonnée

Types de cotations disponibles

  • Cotation linéaire : cliquez deux points ou sur une ligne en pressant la touche ALT pour forcer une contrainte
  • Cotation horizontale/verticale : pressez la touche SHIFT après avoir sélectionné le premier point.
  • Cotation d'un diamètre : pressez sur la touche ALT, puis sélectionnez une ligne courbe.
  • Cotation d'un rayon : pressez sur la touche ALT, sélectionnez une ligne courbe, puis relâchez la touche ALT et appuyez sur la touche SHIFT.
  • Cotation angulaire  : en choisissant 2 lignes (arêtes) droites avec la touche ALT pressée.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.
  • If an edge is selected before starting the Dimension command, the created dimension will also be parametric.
  • The direction of the dimension can be changed afterwards, by modifying its "Direction" property

Properties

  • DATAStart: The start point of the distance to measure
  • DATAEnd: The end point of the distance to measure
  • DATADimline: A point through which the dimension line must pass
  • VIEWDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VIEWFont Size: The size of the letters
  • VIEWExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VIEWText Position: Can be used to force the text to be displayed at a certain position
  • VIEWText Spacing: Specifies the space between the text and the dimension line
  • VIEWOverride: Specifies a text to display instead of the measurement. Insert "$dim", inside that text, to display the measurement value
  • VIEWFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VIEWArrow Type: The type of arrow to use
  • VIEWArrow Size: The size of the arrows
  • VIEWDecimals: The number of decimal places to display on the dimension
  • VIEWFlip Arrows: Reverse the orientation of arrows
  • VIEWUnit Override: Expresses the distance in the given unit (leave blank to use the system unit) available in version 0.17


Script

L'outil Cotation peut être utilisé dans une macro, et, dans la console Python en utilisant les fonctions suivantes :

makeDimension (p1,p2,[p3]) 

or

makeDimension (object,i1,i2,p3) 

or

makeDimension (objlist,indices,p3) 
  • Crée un objet Dimension, avec la cotation de la ligne passant par le biais de p3.
  • L'ensemble des paramètres de largeur, couleur et hauteur du texte actuel seront utilisés.
  • Il y a plusieurs façons de créer une cotation, selon les arguments que vous lui transférez:
  1. (p1, p2, p3): crée une cotation standard de p1 à p2.
  2. (objet, i1, i2, p3): crée une cotation liée à un objet donné, en mesurant la distance entre ses sommets indexés i1 et i2.
  3. (objet, i1, mode, p3): crée une cotation liée à un objet donné, i1 est l'index du bord (courbé), à mesurer et mode, est un rayon ou un diamètre. Retourne un nouvel objet créé.
makeAngularDimension (center,[angle1,angle2],p3) 
  • Crée une cotation angulaire à partir du centre donné , et une liste de données angulaires passant par p3.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeDimension(p1,p2,p3) 

Liens

Tutoriel d'une projection de dimensions dans une page de dessin

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe